libetonyek::PAG1ShapeContext Class Reference documentation

Public Member Functions | Private Member Functions | List of all members
libetonyek::PAG1ShapeContext Class Reference

`#include <PAG1ShapeContext.h>`

Inheritance diagram for libetonyek::PAG1ShapeContext:

## Public Member Functions
| PAG1ShapeContext (PAG1ParserState &state)
Public Member Functions inherited from libetonyek::PAG1XMLContextBase< IWORKShapeContext >
| PAG1XMLContextBase (PAG1ParserState &state)
| PAG1XMLContextBase (PAG1ParserState &state, T1 arg1)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKShapeContext, PAG1ParserState, PAGCollector >
| IWORKXMLContextBase (PAG1ParserState &state)
| IWORKXMLContextBase (PAG1ParserState &state, const T &a)
PAG1ParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKShapeContext
| IWORKShapeContext (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Member Functions
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKShapeContext, PAG1ParserState, PAGCollector >
PAGCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKShapeContext
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKShapeContext, PAG1ParserState, PAGCollector >
PAG1ParserState & | m_state
Protected Attributes inherited from libetonyek::IWORKShapeContext
IWORKStylePtr_t | m_style
boost::optional< IWORKWrap > | m_wrap
boost::optional< int > | m_order
bool | m_locked
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ PAG1ShapeContext()

libetonyek::PAG1ShapeContext::PAG1ShapeContext | ( | PAG1ParserState & | state | ) |
| explicit

Referenced by PAG1ShapeContext().

## Member Function Documentation

## ◆ attribute()

void libetonyek::PAG1ShapeContext::attribute | ( | int | name,
|  | const char * | value )
| overrideprivatevirtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Reimplemented from libetonyek::IWORKShapeContext.

## ◆ element()

IWORKXMLContextPtr_t libetonyek::PAG1ShapeContext::element | ( | int | name | ) |
| overrideprivatevirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Reimplemented from libetonyek::IWORKShapeContext.

The documentation for this class was generated from the following files:

- PAG1ShapeContext.h
- PAG1ShapeContext.cpp